(function ($) {
	$.fn.imgSize = function () {

		// Получаем значение минимальной высоты строки
		var lineHeight = Math.floor(parseInt($('p').css('line-height')) / 2);

		this.each(function () {

			var elem = $(this),
				resize = elem.attr('data-noresize');

			if (resize == undefined) {

				// Получаем реальную высоту изображения
				var naturalWidth = this.naturalWidth,
					ratio = this.naturalWidth / this.naturalHeight,
					parentWidth = elem.parent().width();

				// расчитываем новую высоту изображения
				function calcHeight(value) {
					var height = Math.floor(Math.floor(value / ratio) / lineHeight),
						newHeight = lineHeight * height;

					// Применяем новую высоту к изображению
					return newHeight;
				}

				// Проверяем не вылезает ли изображение за рамки родительского блока
				// и переичитываем высоту
				if (naturalWidth >= parentWidth) {
					var height = calcHeight(parentWidth);
					elem.width(parentWidth);
					elem.height(height);
				}
				else {
					var height = calcHeight(naturalWidth);
					elem.width(naturalWidth);
					elem.height(height);
				}

			}
		});

	};
})( jQuery );