(function($) {
    $.extend({
        debugMode: function() {
            $("#debug-mode").on("click", function() {
                var blockDisplay = $("#line-rhythm").css("display");
                if (blockDisplay == "none") {
                    $(this).text("Выключить режим Debug");
                    $("body").addClass("debug-mode");
                    $("#line-rhythm").show();
                } else if (blockDisplay == "block") {
                    $(this).text("Включить режим Debug");
                    $("body").removeClass("debug-mode");
                    $("#line-rhythm").hide();
                }
            });
        }
    });
})(jQuery);

(function($) {
    $.fn.imgSize = function() {
        var lineHeight = Math.floor(parseInt($("p").css("line-height")) / 2);
        this.each(function() {
            var elem = $(this), resize = elem.attr("data-noresize");
            if (resize == undefined) {
                var naturalWidth = this.naturalWidth, ratio = this.naturalWidth / this.naturalHeight, parentWidth = elem.parent().width();
                function calcHeight(value) {
                    var height = Math.floor(Math.floor(value / ratio) / lineHeight), newHeight = lineHeight * height;
                    return newHeight;
                }
                if (naturalWidth >= parentWidth) {
                    var height = calcHeight(parentWidth);
                    elem.width(parentWidth);
                    elem.height(height);
                } else {
                    var height = calcHeight(naturalWidth);
                    elem.width(naturalWidth);
                    elem.height(height);
                }
            }
        });
    };
})(jQuery);

$(function() {
    var lineHeight = parseInt($("input").css("height"));
    $("select").each(function() {
        var elem = $(this);
        elem.css("height", lineHeight);
    });
});

(function() {
    $.fn.tableOverflow = function() {
        this.each(function() {
            var elem = $(this), tableWidth = elem.width(), parentWidth = elem.parent().width();
            if (tableWidth > parentWidth) {
                elem.css({
                    "overflow-x": "scroll",
                    width: "100%",
                    "margin-bottom": "1.5rem"
                });
            }
        });
    };
})(jQuery);

$(function() {
    $("img").imgSize();
    $(".table").tableOverflow();
    $.debugMode();
    $(window).resize(function() {
        $("img").imgSize();
        $(".table").tableOverflow();
    });
});